---
updatedAt: 2026-07-26T12:31:37.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/security/llms.txt
---

# Artifact Scan Status

Returns the scan status for a specific artifact. Requires Read permission.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Xray REST APIs",
    "description": "Combined JFrog Xray REST API specification (all endpoints).",
    "version": "3.140"
  },
  "servers": [
    {
      "url": "https://jf.example.com/xray",
      "description": "JFrog Platform (Xray)"
    }
  ],
  "security": [
    {
      "basicAuth": []
    }
  ],
  "paths": {
    "/api/v1/artifact/status": {
      "post": {
        "operationId": "artifact-scan-status",
        "summary": "Artifact Scan Status",
        "description": "Returns the scan status for a specific artifact. Requires Read permission.",
        "tags": [
          "Scanning V1"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ArtifactsArtifactScanStatusRequest"
              },
              "example": {
                "repo": "docker-local",
                "path": "desktop-storage/1.0/manifest.json"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Artifact scan status returned.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "overall": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "description": "Overall scan status. Values: NOT_SUPPORTED, NOT_SCANNED, PENDING, SCANNING, DONE, PARTIAL, FAILED."
                        },
                        "time": {
                          "type": "string",
                          "description": "Timestamp (RFC 3339)."
                        }
                      }
                    },
                    "details": {
                      "type": "object",
                      "properties": {
                        "sca": {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string"
                            },
                            "time": {
                              "type": "string"
                            }
                          }
                        },
                        "contextual_analysis": {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string"
                            },
                            "time": {
                              "type": "string"
                            }
                          }
                        },
                        "exposures": {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string"
                            },
                            "time": {
                              "type": "string"
                            },
                            "categories": {
                              "type": "object",
                              "properties": {
                                "iac": {
                                  "type": "object",
                                  "properties": {
                                    "status": {
                                      "type": "string"
                                    },
                                    "time": {
                                      "type": "string"
                                    }
                                  }
                                },
                                "secrets": {
                                  "type": "object",
                                  "properties": {
                                    "status": {
                                      "type": "string"
                                    },
                                    "time": {
                                      "type": "string"
                                    }
                                  }
                                },
                                "services": {
                                  "type": "object",
                                  "properties": {
                                    "status": {
                                      "type": "string"
                                    },
                                    "time": {
                                      "type": "string"
                                    }
                                  }
                                },
                                "applications": {
                                  "type": "object",
                                  "properties": {
                                    "status": {
                                      "type": "string"
                                    },
                                    "time": {
                                      "type": "string"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        "violations": {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string"
                            },
                            "time": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "overall": {
                    "status": "DONE",
                    "time": "2024-07-04T07:05:51Z"
                  },
                  "details": {
                    "sca": {
                      "status": "DONE",
                      "time": "2024-07-04T07:05:27Z"
                    },
                    "contextual_analysis": {
                      "status": "DONE",
                      "time": "2024-07-04T07:05:26Z"
                    },
                    "exposures": {
                      "status": "DONE",
                      "time": "2024-05-16T07:57:35Z",
                      "categories": {
                        "iac": {
                          "time": "2024-05-16T07:57:35Z",
                          "status": "NOT_SUPPORTED"
                        },
                        "secrets": {
                          "time": "2024-05-16T07:57:35Z",
                          "status": "DONE"
                        },
                        "services": {
                          "time": "2024-05-16T07:57:35Z",
                          "status": "DONE"
                        },
                        "applications": {
                          "time": "2024-05-16T07:57:35Z",
                          "status": "DONE"
                        }
                      }
                    },
                    "violations": {
                      "status": "DONE",
                      "time": "2024-07-04T07:05:51Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request - mandatory fields are missing.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Artifact not found or not indexed.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "artifact at path myrepo/myartifact does not exist in Artifactory"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication using username/password or API key"
      }
    },
    "schemas": {
      "ArtifactsArtifactScanStatusRequest": {
        "type": "object",
        "description": "Request body for looking up the scan status of a specific artifact.",
        "properties": {
          "repo": {
            "type": "string",
            "description": "Repository name containing the artifact."
          },
          "path": {
            "type": "string",
            "description": "Path to the artifact in the repository."
          }
        },
        "required": [
          "repo",
          "path"
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Scanning V1",
      "description": "APIs from Scanning V1"
    }
  ]
}
```